Subject: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Jul 2010 20:23:49 +0300

> Date: Mon, 5 Jul 2010 13:52:22 +0200
> From: Agustin Martin <[email-masked]>
> Cc: 
> 
> However, docstrings and error handling for this complete-word stuff needs 
> to be improved, so it provides useful and accurate information. I am 
> currently trying something like attached patch where 
> `ispell-alternate-dictionary' is set to nil if no default is found and 
> checked before use. I find error message too long, but better that before.
> As usually, suggestions are welcome.

For the error message, just put 2 spaces between the sentences, as we
do everywhere in Emacs.

For the rest, the patch looks fine, but why not test /usr/dict/words
with file-readable-p as well?  Then, if it does not exist, the
defcustom will evaluate to nil, and the error message will be even
more to the point.

Thanks.